/* -*- C++ -*-
 * src/lemon/lp_skeleton.cc
 * - Part of LEMON, a generic C++ optimization library
 *
 * Copyright (C) 2005 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
 * (Egervary Research Group on Combinatorial Optimization, EGRES).
 *
 * Permission to use, modify and distribute this software is granted
 * provided that this copyright notice appears in all copies. For
 * precise terms see the accompanying LICENSE file.
 *
 * This software is provided "AS IS" with no warranty of any kind,
 * express or implied, and with no claim as to its suitability for any
 * purpose.
 *
 */

#include <lemon/lp_skeleton.h>

///\file
///\brief A skeleton file to implement LP solver interfaces
namespace lemon {
  
  LpSolverBase &LpSkeleton::_newLp()
  {
    LpSolverBase *tmp=0;
    return *tmp;
  }
  
  LpSolverBase &LpSkeleton::_copyLp()
  {
    LpSolverBase *tmp=0;
    return *tmp;
  }

  int LpSkeleton::_addCol()
  {
    return ++col_num;
  }
  
  int LpSkeleton::_addRow() 
  {
    return ++row_num;
  }
  
  void LpSkeleton::_setRowCoeffs(int, 
				 int,
				 int  const *, 
				 Value  const *)
  {
  }
  
  void LpSkeleton::_setColCoeffs(int, 
				 int,
				 int  const *, 
				 Value  const *)
  {
  }
  
  void LpSkeleton::_setColLowerBound(int, Value)
  {
  }
  
  void LpSkeleton::_setColUpperBound(int, Value)
  {
  }
  
//   void LpSkeleton::_setRowLowerBound(int, Value)
//   {
//   }
  
//   void LpSkeleton::_setRowUpperBound(int, Value)
//   {
//   }

  void LpSkeleton::_setRowBounds(int, Value, Value)
  {
  }
  
  void LpSkeleton::_setObjCoeff(int, Value)
  {
  }

  void LpSkeleton::_setMax()
  {
  }

  void LpSkeleton::_setMin()
  {
  }

  void LpSkeleton::_clearObj()
  {
  }
  
  LpSkeleton::SolveExitStatus LpSkeleton::_solve()
  {
    return SOLVED;
  }

  LpSkeleton::Value LpSkeleton::_getPrimal(int)
  {
    return 0;
  }
  
  LpSkeleton::Value LpSkeleton::_getPrimalValue()
  {
    return 0;
  }
  
  LpSkeleton::SolutionStatus LpSkeleton::_getPrimalStatus()
  {
    return OPTIMAL;
  }
  
} //namespace lemon

